import type { BindResource } from './BindResource';
export declare class BindGroup {
    resources: Record<string, BindResource>;
    key: string;
    private _dirty;
    constructor(resources?: Record<string, BindResource>);
    update(): void;
    updateKey(): void;
    setResource(resource: BindResource, index: number): void;
    getResource(index: number): BindResource;
    touch(tick: number): void;
    destroy(): void;
    protected onResourceChange(): void;
}
